%global momorel 2
%global qtver 4.4.0
%global kdever 4.0.4
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: Efficient ID3 tag editor
Name: kid3
Version: 1.0
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kid3.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-0.8.1-desktop.patch
Patch10: %{name}-0.10-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: dbus
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cmake
BuildPreReq: dbus-devel
BuildPreReq: desktop-file-utils
BuildPreReq: flac-devel
BuildPreReq: gettext
BuildPreReq: id3lib-devel
BuildPreReq: libmp4v2-devel
BuildPreReq: libogg-devel
BuildPreReq: libtunepimp-devel
BuildPreReq: libvorbis-devel
BuildPreReq: libxml2
BuildPreReq: taglib-devel >= 1.4
BuildPreReq: phonon-devel

%description
If you want to easily tag multiple MP3, Ogg/Vorbis or FLAC files
(e.g. full albums) without typing the same information again and again
and have control over both ID3v1 and ID3v2 tags, then Kid3 is the
program you are looking for.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch10 -p1 -b .gcc43

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# install man file
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 deb-kde4/kid3-kde4.1 %{buildroot}%{_mandir}/man1/kid3.1

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kid3.png %{buildroot}%{_datadir}/pixmaps/kid3.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde4/kid3.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE README
%{_bindir}/kid3
%{_datadir}/applications/kde4/kid3.desktop
%{_datadir}/apps/kid3
%{_datadir}/dbus-1/interfaces/net.sourceforge.Kid3.xml
%{_datadir}/doc/HTML/*/kid3
%{_datadir}/icons/*/*/*/kid3.png
%{_datadir}/icons/*/*/*/kid3.svgz
%{_datadir}/locale/*/LC_MESSAGES/kid3.mo
%{_mandir}/man1/kid3.1*
%{_datadir}//pixmaps/kid3.png

%changelog
* Sun Jun 29 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0-2m)
- add BuildPreReq: phonon-devel

* Wed May 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- version 1.0
- remove merged fix-docdir.patch
- BPR: libmp4v2-devel

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10-8m)
- revise %%{_docdir}/HTML/*/kid3/common

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-7m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-6m)
- rebuild against gcc43

* Wed Mar  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10-5m)
- build with KDE4
- fix HTML documentation's directories

* Sat Feb 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-4m)
- fix gcc-4.3

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-2m)
- %%NoSource -> NoSource

* Sun Dec 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10-1m)
- version 0.10
- License: GPLv2

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9-2m)
- rebuild against libvorbis-1.2.0-1m

* Thu Jun 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-1m)
- version 0.9

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- initial package for Momonga Linux
